Back to Weibo
TikHub·Weibo

Weibo Web V2: Get Weibo user posts

/api/v1/weibo/web_v2/fetch_user_postssync$0.0015 / call

Get the list of posts published by specified user, support pagination and multiple data detail levels. (TikHub · Weibo Web V2)

Input
FieldTypeRequiredDescription
uidstringyesUser id
pageintegerPage number (default 1)
featureintegerFeature type: 0=10 basic posts, 1=20 extended posts, 2=20 image-related posts, 3=20 video-related posts, fields increase progressively (default 0)
since_idstringPagination identifier for getting next page data (default "")

Run it

curl -s https://www.sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/weibo/web_v2/fetch_user_posts","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.